Bug 1317483 - Review Request: perl-iCal-Parser - Parse iCalendar files into a data structure
Summary: Review Request: perl-iCal-Parser - Parse iCalendar files into a data structure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-14 11:22 UTC by Petr Pisar
Modified: 2016-03-26 18:08 UTC (History)
2 users (show)

Fixed In Version: perl-iCal-Parser-1.20-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-25 01:25:20 UTC
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-03-14 11:22:26 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-iCal-Parser/perl-iCal-Parser.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-iCal-Parser/perl-iCal-Parser-1.20-1.fc25.src.rpm
Description:
This Perl module processes iCalendar (vCalendar 2.0) files as specified in
RFC 2445 into a data structure. It handles recurrences (RRULEs), exclusions
(EXDATEs), event updates (events with a RECURRENCE-ID), and nested data
structures (ATTENDEES and VALARMs). It currently ignores the VTIMEZONE,
VJOURNAL and VFREEBUSY entry types.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2016-03-14 12:17:11 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-iCal-Parser-1.20-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.22.1)
      1 perl(DateTime::Format::ICal) >= 0.08
      1 perl(DateTime::TimeZone)
      1 perl(File::Basename)
      1 perl(IO::File)
      1 perl(IO::String)
      1 perl(Text::vFile::asData) >= 0.02
      1 perl(strict)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-iCal-Parser-1.20-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(iCal::Parser) = 1.20
      1 perl-iCal-Parser = 1.20-1.fc25
Binary provides are Ok.

$ rpmlint perl-iCal-Parser*
perl-iCal-Parser.noarch: W: spelling-error Summary(en_US) iCalendar -> i Calendar, calendar, legendarily
perl-iCal-Parser.noarch: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
perl-iCal-Parser.noarch: W: spelling-error %description -l en_US vCalendar -> v Calendar, calendar, legendary
perl-iCal-Parser.noarch: E: incorrect-fsf-address /usr/share/licenses/perl-iCal-Parser/LICENSE
perl-iCal-Parser.src: W: spelling-error Summary(en_US) iCalendar -> i Calendar, calendar, legendarily
perl-iCal-Parser.src: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
perl-iCal-Parser.src: W: spelling-error %description -l en_US vCalendar -> v Calendar, calendar, legendary
2 packages and 1 specfiles checked; 1 errors, 6 warnings.

Old FSF address was reported to upstream (RT#113001).
Rpmlint is ok.

The package looks good.
Approved.

Comment 2 Gwyn Ciesla 2016-03-14 13:45:49 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-iCal-Parser

Comment 3 Petr Pisar 2016-03-14 13:58:58 UTC
Thank you for the review and the repository.

Comment 4 Fedora Update System 2016-03-14 14:16:17 UTC
perl-iCal-Parser-1.20-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f00eadd08c

Comment 5 Fedora Update System 2016-03-14 14:16:28 UTC
perl-iCal-Parser-1.20-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-355b8de7f5

Comment 6 Fedora Update System 2016-03-15 21:31:39 UTC
perl-iCal-Parser-1.20-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f00eadd08c

Comment 7 Fedora Update System 2016-03-16 15:23:56 UTC
perl-iCal-Parser-1.20-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-355b8de7f5

Comment 8 Fedora Update System 2016-03-25 01:25:18 UTC
perl-iCal-Parser-1.20-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-26 18:08:53 UTC
perl-iCal-Parser-1.20-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.